26.19. hpe-support

The following documentation is for hpe-support content package at version v1.13.3-0-4d14a648bbe323738514cbc9958f1a25f4678be8.

26.19.1. params

The content package provides the following params.

26.19.1.1. hpe-firmware-token

HPE requires that you have a valid support contract to download firmware updates for their ProLiant servers. This token, which can be generated at https://support.hpe.com/hpsc/swd/entitlement-token-service/generate is required to be able to download updates from the firmware update repositories

26.19.1.2. hpe-repo-urls

HPE systems require some base tooling to fully enable remote management and low-level hardware management. The repository that this URL points at should provide the HP SUM tooling and the SSA tooling for managing RAID controllers. You can use the usual YUM variables here, along with “$hpe_gen” for generation specific tooling.

26.19.1.3. hpe-repo-versions

Depending on your update and audit requirements, you may not want to track the current release of the HPE tooling and firmware update bundles. This param allows you to override the versions of the tooling you are using on a repo by repo basis. If an enrty is omitted, it will default to ‘current’

26.19.1.4. hpe-system-gen

This tracks the generation of HPE ProLiant gear that the running system is. We do this because HPE organizes their tooling and firmware updates according to the system generation.

Current known generations are:
  • g7
  • gen8
  • gen9
  • gen10

Generation will be determined automatically using the following code:

dmidecode |awk ‘/Product Name:/ { print tolower($NF); exit }’